Subject: Re: Multiple repairs - escalated case
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Mon, 6 Jan 2020 13:39:34 -0700 (MST)

flagged 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Monday, January 6, 2020 10:19:49 PM 
Subject: Multiple repairs - escalated case 

Customer's reply - 
I am very, very, very upset with the products I've received from Swagtron. I originally purchased a refurbished Swagtron 1 that had to be returned for repairs 2 times within a year. Finally, it was taking so long for Swagtron to return it the 2nd time, they sent me a new Swagtron SG 5 Swagger. After literally 2 months, the battery stopped charging. I ordered a new charger to make sure that was not the issue. It was not. I sent the Swagtron 5 back for repairs on the charger and I just got it back and it still does not charge! Also, the lock for the latch is completely broken now WHICH IT WAS NOT WHEN I SENT IT BACK. I want a scooter that works!!! Return Authorization RA155719 
I still need help. This is ridiculous. I'd like to speak to a supervisor, please. 
Contact details - [email-masked] and 8186876441